summaryrefslogtreecommitdiffstats
path: root/bluez/bluez
diff options
context:
space:
mode:
Diffstat (limited to 'bluez/bluez')
-rwxr-xr-xbluez/bluez46
1 files changed, 46 insertions, 0 deletions
diff --git a/bluez/bluez b/bluez/bluez
new file mode 100755
index 000000000..60a24badf
--- /dev/null
+++ b/bluez/bluez
@@ -0,0 +1,46 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/
+#
+# Description : Lancement du sous-système bluetooth
+#
+# Authors : tnut
+#
+# Version : 00.00
+#
+# Notes :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+ start)
+ boot_mesg "Starting bluetooth daemon..."
+ loadproc /usr/sbin/bluetoothd
+ ;;
+
+ stop)
+ boot_mesg "Stopping bluetooth daemon..."
+ killproc /usr/sbin/bluetoothd
+ ;;
+
+
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+ status)
+ statusproc /usr/sbin/bluetoothd
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/